# Carded Rate API Common Content 3
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/common3-carded-rate-api/index.md

## Sandbox Testing {#sandbox-testing}

Sandbox Testing is unavailable for Carded Rate APIs.

## Sample Requests {#sample-requests}

### ++FX Rate Pull++ {#ufx-rate-pullu}

No Request body

### ++FX Rate Push++ {#ufx-rate-pushu}

* XML
* JSON

```XML
<?xml version="1.0" encoding="UTF-8" ?>
<rates>
    <account_type>BANK</account_type>
    <partner_id>BEL_MCSXB1HS5fd</partner_id>
    <type>single</type>
    <use>CMSP</use>
    <from_currency_code>MXN</from_currency_code>
    <to_currency_code>INR</to_currency_code>
    <valid_from>2020-04-02T15:07:00Z</valid_from>
    <valid_to>2020-04-02T16:07:00Z</valid_to>
    <tier_identifier_rate/>
    <tiers>
        <from_amount/>
        <rate_id>3ciq8g5gkkike1a5hkhi3hgvkd</rate_id>
        <ask_rate/>
        <mid_rate/>
        <bid_rate>3.239881</bid_rate>
    </tiers>
    <card_segment_name>EMEA</card_segment_name>
</rates>
<rates>
    <account_type>BANK</account_type>
    <partner_id>BEL_MCSXB1HS5fd</partner_id>
    <type>single</type>
    <use>CMSP</use>
    <from_currency_code>MXN</from_currency_code>
    <to_currency_code>THB</to_currency_code>
    <valid_from>2020-04-02T15:07:00Z</valid_from>
    <valid_to>2020-04-02T16:07:00Z</valid_to>
    <tier_identifier_rate/>
    <tiers>
        <from_amount/>
        <rate_id>3t1ia5kupk0ud1sl0yow12x9pq</rate_id>
        <ask_rate/>
        <mid_rate/>
        <bid_rate>1.395389</bid_rate>
    </tiers>
    <card_segment_name>EMEA</card_segment_name>
</rates>
```

```JSON
{
  "rates": [
    {
      "type": "single",
      "use": "CMSP",
      "from_currency_code": "MXN",
      "to_currency_code": "INR",
      "valid_from": "2020-04-02T15:07:00Z",
      "valid_to": "2020-04-02T16:07:00Z",
      "tier_identifier_rate": "",
      "account_type": "BANK",
      "partner_id": "BEL_MCSXB1HS5fd",
      "tiers": [
        {
          "from_amount": "",
          "rate_id": "3ciq8g5gkkike1a5hkhi3hgvkd",
          "ask_rate": "",
          "mid_rate": "",
          "bid_rate": "3.239881"
        }
      ],
      "card_segment_name": "EMEA"
    },
    {
      "type": "single",
      "use": "CMSP",
      "from_currency_code": "MXN",
      "to_currency_code": "THB",
      "valid_from": "2020-04-02T15:07:00Z",
      "valid_to": "2020-04-02T16:07:00Z",
      "tier_identifier_rate": "",
      "account_type": "BANK",
      "partner_id": "BEL_MCSXB1HS5fd",
      "tiers": [
        {
          "from_amount": "",
          "rate_id": "3t1ia5kupk0ud1sl0yow12x9pq",
          "ask_rate": "",
          "mid_rate": "",
          "bid_rate": "1.395389"
        }
      ],
      "card_segment_name": "EMEA"
    }
  ],
  "event_ref": "ref_u0lVpKKZ0Evx0UExr05VuD8frOFw",
  "event_type": "CARDFX_PUB"
}
```

## Sample Responses {#sample-responses}

### ++FX Rate Pull++ {#ufx-rate-pullu-1}

* XML
* JSON

```XML
<?xml version="1.0" encoding="UTF-8" ?>
<rates>
  <rate>
    <account_type>BANK</account_type>
    <partner_id>BEL_MCSXB1HS5fd</partner_id>
    <type>single</type>
    <use>CMSP</use>
    <from_currency_code>MXN</from_currency_code>
    <to_currency_code>INR</to_currency_code>
    <valid_from>2020-04-02T15:07:00Z</valid_from>
    <valid_to>2020-04-02T16:07:00Z</valid_to>
    <tier_identifier_rate/>
    <tiers>
      <tier>
        <from_amount/>
        <rate_id>3ciq8g5gkkike1a5hkhi3hgvkd</rate_id>
        <ask_rate/>
        <mid_rate/>
        <bid_rate>3.239881</bid_rate>
      </tier>
    </tiers>
    <card_segment_name>EMEA</card_segment_name>
  </rate>
</rates>
```

```JSON
{
  "rates": {
    "rate": [
      {
        "type": "single",
        "use": "CMSP",
        "from_currency_code": "MXN",
        "to_currency_code": "INR",
        "valid_from": "2020-04-02T15:07:00Z",
        "valid_to": "2020-04-02T16:07:00Z",
        "tier_identifier_rate": "",
        "account_type": "BANK",
        "partner_id": "BEL_MCSXB1HS5fd",
        "tiers": {
          "tier": [
            {
              "from_amount": "",
              "rate_id": "3ciq8g5gkkike1a5hkhi3hgvkd",
              "ask_rate": "",
              "mid_rate": "",
              "bid_rate": "3.239881"
            }
          ]
        },
        "card_segment_name": "EMEA"
      },
      {
        "type": "single",
        "use": "CMSP",
        "from_currency_code": "MXN",
        "to_currency_code": "THB",
        "valid_from": "2020-04-02T15:07:00Z",
        "valid_to": "2020-04-02T16:07:00Z",
        "tier_identifier_rate": "",
        "account_type": "BANK",
        "partner_id": "BEL_MCSXB1HS5fd",
        "tiers": {
          "tier": [
            {
              "from_amount": "",
              "rate_id": "3t1ia5kupk0ud1sl0yow12x9pq",
              "ask_rate": "",
              "mid_rate": "",
              "bid_rate": "1.395389"
            }
          ],
          "card_segment_name": "EMEA"
        }
      }
    ],
    "event_ref": "ref_u0lVpKKZ0Evx0UExr05VuD8frOFw",
    "event_type": "CARDFX_PUB"
  }
}
```

### ++FX Rate Push++ {#ufx-rate-pushu-1}

No Response body

## Error Codes {#error-codes}

Please refer to complete list of error codes [here](https://developer.mastercard.com/cross-border-services/documentation/response-error-codes/index.md).

For information about the HTTP response codes that may be returned for your API requests, see [HTTP Response Codes](https://developer.mastercard.com/cross-border-services/documentation/response-error-codes/http-response-codes/index.md).

## Push Notification Configuration Details {#push-notification-configuration-details}

For more information on configuring a push notification, please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-ref/push-notifications-details/index.md).
